/*importing d3 functions using es6*/
import {select,arc} from 'd3';

const svg = select('svg');
svg.style('background-color' , '#21a6ed');

const height = parseFloat(svg.attr('height'));
const width = parseFloat(svg.attr('width'));
const eyeSpacing = 100;
const eyeYoffset = -70;
const eyeBrowWidth = 70;
const eyeBrowHeight = 15;
const eyeBrowYoffset = -50;

const g = svg.append('g')
	.attr('transform', `translate(${width / 2}, ${height / 2})`);
const circle = g
	.append('circle')
		.attr('r',height/2)
		.attr('fill','#d91c1c')
		.attr('stroke','#d10d0d')
		.attr('stroke-width' ,5)
	;
const eyesG = g.append('g')
	.attr('transform', `translate(0, ${eyeYoffset})`);
const leftEye = eyesG
	.append('circle')
		.attr('r',30)
		.attr('cx',-eyeSpacing);

const rightEye = eyesG
	.append('circle')
		.attr('r',30)
		.attr('cx',+eyeSpacing);

const eyeBrowsG = eyesG.append('g')
	.attr('transform', `translate(0, ${eyeYoffset})`);
eyeBrowsG
	.transition().duration(2000)
      .attr('transform', `translate(0, ${eyeYoffset-50})`)
		.transition().duration(2000)
      .attr('transform', `translate(0, ${eyeYoffset})`);
const leftEyeBrow = eyesG
  .append('line')
    .attr ('x1' ,-150)
		.attr('y1',-60)
		 .attr ('x2' ,-80)
		.attr('y2',-30)
		.attr('stroke','black')
		.attr('stroke-width' ,20);
const rightEyeBrow = eyesG
   .append('line')
    .attr ('x1' ,150)
		.attr('y1',-60)
		 .attr ('x2', 80)
		.attr('y2',-30)
		.attr('stroke','black')
		.attr('stroke-width' ,20);
	;

const mouth= eyesG.append('path')
		.attr('d',"M -150 250 q 150 -300 300 0")
    .attr('fill','none')
    .attr('stroke','black')
    .attr('stroke-width','20')
;